Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004638ProcessMaker [Community]XI . . Otherpublic2010-03-29 13:102011-12-12 15:14
Reporterizwan 
Assigned Toerik 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionProcessMaker OSS v.1.2-2985 
Target VersionFixed in VersionProcessMaker v 2.0.35 
Summary0004638: Javascript not working in Internet Explorer 8 (IE8)
DescriptionI've created a Normal Dynaform with a Grid inside it. Then I write javascripts that will put a grand total from the Grid into the Normal Dynaform.
The javascripts work perfectly on Firefox, but not fully functioning in Internet Explorer (IE8).

e.g:
User has to enter his/her Staff ID and a javascript will show their name and department (Show/Hide function). This one works on both browser; Firefox & IE8.
The next javascript will then calculate the Grid and put the value inside the Normal Dynaform. This one only works on Firefox, IE8 gave me this warning/error:

--- START ---
Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; AskTB5.6)
Timestamp: Mon, 29 Mar 2010 06:25:59 UTC


Message: 'selectionStart' is null or not an object
Line: 4597
Char: 9
Code: 0
URI: http://127.0.0.1:8008/js/maborak/core/maborak.js [^]


Message: 'selectionStart' is null or not an object
Line: 4597
Char: 9
Code: 0
URI: http://127.0.0.1:8008/js/maborak/core/maborak.js [^]


Message: 'selectionStart' is null or not an object
Line: 4597
Char: 9
Code: 0
URI: http://127.0.0.1:8008/js/maborak/core/maborak.js [^]
--- END ---

Has anyone ever encountered with this kind of issues? I need to resolve it quickly as all the users here are using Internet Explorer (IE8)..

<http://forum.processmaker.com/viewtopic.php?f=7&t=2442> [^]
Additional InformationIssues:
(a)- Javascript fully executed in Firefox, partially executed in IE8.
(b)- Currency field for Grid form can only accept 5 characters length in IE8.

Note: Enclosed together the attachment that contains the details for this issue.
1. The reproduction of the issue (PM file).
2. Description of the issue (PDF file).
3. Screencaps of the issue (JPG files).

Also, please note item (b) mentioned above.
Tagsfirefox, ie8, javascript
New Feature RequestNo
QA-Test Case ID
Attached Fileszip file icon pmoss-js-issue-report-2-bt.zip [^] (272,554 bytes) 2010-03-29 13:10

- Relationships

-  Notes
(0016400)
erik (administrator)
2011-12-12 15:14
edited on: 2011-12-12 15:15

Hi, a lot of IE issues were solved from the releases 2.0.8 o greater, try it on again please, our most recent release is 2.0.35


- Issue History
Date Modified Username Field Change
2010-03-29 13:10 izwan New Issue
2010-03-29 13:10 izwan Status new => assigned
2010-03-29 13:10 izwan Assigned To => fernando
2010-03-29 13:10 izwan File Added: pmoss-js-issue-report-2-bt.zip
2010-03-29 13:11 izwan Issue Monitored: izwan
2010-03-29 13:12 izwan Tag Attached: firefox
2010-03-29 13:12 izwan Tag Attached: ie8
2010-03-29 13:12 izwan Tag Attached: javascript
2010-06-07 18:09 erik Assigned To fernando => hector
2010-09-01 18:50 fernando Assigned To hector => fernando
2011-01-10 17:09 fernando Assigned To fernando => carlos
2011-01-10 17:09 fernando Status assigned => confirmed
2011-12-09 08:52 fernando Assigned To carlos =>
2011-12-09 08:52 fernando Status confirmed => feedback
2011-12-12 15:14 erik Note Added: 0016400
2011-12-12 15:14 erik Status feedback => resolved
2011-12-12 15:14 erik Fixed in Version => ProcessMaker v 2.0.35
2011-12-12 15:14 erik Resolution open => fixed
2011-12-12 15:14 erik Assigned To => erik
2011-12-12 15:15 erik Note Edited: 0016400 View Revisions


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker